CREATE TABLE gtg_ts_porapprovroutingrule (
    ETL_SEQUENCE_ID              NUMBER(19, 0) ,
    ETL_VERSION_NUMBER           NUMBER(18, 0) ,
    DELETE_VERSION_NUMBER        NUMBER(18, 0) ,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    ACTION_CODE                  VARCHAR2(120) ,
    ACTION_ID                    NUMBER        ,
    ACTION_NUMBER                NUMBER        ,
    ACTIVE_FLAG                  VARCHAR2(4)   ,
    ALWAYS_APPLY_FLAG            VARCHAR2(4)   ,
    CONDITIONS_STRING            VARCHAR2(4000),
    CONDITION_ID                 NUMBER        ,
    CONDITION_STRING             VARCHAR2(4000),
    DESCRIPTION                  VARCHAR2(4000),
    DISPLAY_RULE_NAME            VARCHAR2(600) ,
    DO_NOT_ROUTE_BEYOND_ID       NUMBER        ,
    NUMBER_OF_APPROVAL_LEVELS    NUMBER        ,
    PARTICIPANT_ID               NUMBER(18, 0) ,
    PARTLOOKUPCD                 VARCHAR2(120) ,
    PORAMXACTIONS_CB             VARCHAR2(256) ,
    PORAMXACTIONS_CD             TIMESTAMP(6)  ,
    PORAMXACTIONS_LUB            VARCHAR2(256) ,
    PORAMXACTIONS_LUD            TIMESTAMP(6)  ,
    PORAMXCONDITIONS_CB          VARCHAR2(256) ,
    PORAMXCONDITIONS_CD          TIMESTAMP(6)  ,
    PORAMXCONDITIONS_LUB         VARCHAR2(256) ,
    PORAMXCONDITIONS_LUD         TIMESTAMP(6)  ,
    PORAMXPARTICIPANTS_CB        VARCHAR2(256) ,
    PORAMXPARTICIPANTS_CD        TIMESTAMP(6)  ,
    PORAMXPARTICIPANTS_LUB       VARCHAR2(256) ,
    PORAMXPARTICIPANTS_LUD       TIMESTAMP(6)  ,
    PORAMXRULES_CB               VARCHAR2(256) ,
    PORAMXRULES_CD               TIMESTAMP(6)  ,
    PORAMXRULES_LUB              VARCHAR2(256) ,
    PORAMXRULES_LUD              TIMESTAMP(6)  ,
    PORAMXSTAGES_CB              VARCHAR2(256) ,
    PORAMXSTAGES_CD              TIMESTAMP(6)  ,
    PORAMXSTAGES_LUB             VARCHAR2(256) ,
    PORAMXSTAGES_LUD             TIMESTAMP(6)  ,
    PORAMXTASKS_CB               VARCHAR2(256) ,
    PORAMXTASKS_CD               TIMESTAMP(6)  ,
    PORAMXTASKS_LUB              VARCHAR2(256) ,
    PORAMXTASKS_LUD              TIMESTAMP(6)  ,
    PRIORITY                     VARCHAR2(200) ,
    ROUTE_USING_CODE             VARCHAR2(120) ,
    RULE_ID                      NUMBER        ,
    SET_OUTCOME_TO_CODE          VARCHAR2(120) ,
    STAGELOOKUPCD                VARCHAR2(120) ,
    STAGE_ID                     NUMBER(18, 0) ,
    START_WITH_CODE              VARCHAR2(120) ,
    SUP_CHAIN_OF_CODE            VARCHAR2(120) ,
    TASK_ID                      NUMBER(18, 0) ,
    TASK_KEY                     VARCHAR2(400) ,
    USER_TYPE_CODE               VARCHAR2(120) ,
    WORKER_ID                    NUMBER        ,
    ETL_SEQUENCE_ID              NUMBER(19, 0) ,
    ETL_VERSION_NUMBER           NUMBER(18, 0) ,
    DELETE_VERSION_NUMBER        NUMBER(18, 0) ,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    ACTION_CODE                  VARCHAR2(120) ,
    ACTION_ID                    NUMBER        ,
    ACTION_NUMBER                NUMBER        ,
    ACTIVE_FLAG                  VARCHAR2(4)   ,
    ALWAYS_APPLY_FLAG            VARCHAR2(4)   ,
    CONDITIONS_STRING            VARCHAR2(4000),
    CONDITION_ID                 NUMBER        ,
    CONDITION_STRING             VARCHAR2(4000),
    DESCRIPTION                  VARCHAR2(4000),
    DISPLAY_RULE_NAME            VARCHAR2(600) ,
    DO_NOT_ROUTE_BEYOND_ID       NUMBER        ,
    NUMBER_OF_APPROVAL_LEVELS    NUMBER        ,
    PARTICIPANT_ID               NUMBER(18, 0) ,
    PARTLOOKUPCD                 VARCHAR2(120) ,
    PORAMXACTIONS_CB             VARCHAR2(256) ,
    PORAMXACTIONS_CD             TIMESTAMP(6)  ,
    PORAMXACTIONS_LUB            VARCHAR2(256) ,
    PORAMXACTIONS_LUD            TIMESTAMP(6)  ,
    PORAMXCONDITIONS_CB          VARCHAR2(256) ,
    PORAMXCONDITIONS_CD          TIMESTAMP(6)  ,
    PORAMXCONDITIONS_LUB         VARCHAR2(256) ,
    PORAMXCONDITIONS_LUD         TIMESTAMP(6)  ,
    PORAMXPARTICIPANTS_CB        VARCHAR2(256) ,
    PORAMXPARTICIPANTS_CD        TIMESTAMP(6)  ,
    PORAMXPARTICIPANTS_LUB       VARCHAR2(256) ,
    PORAMXPARTICIPANTS_LUD       TIMESTAMP(6)  ,
    PORAMXRULES_CB               VARCHAR2(256) ,
    PORAMXRULES_CD               TIMESTAMP(6)  ,
    PORAMXRULES_LUB              VARCHAR2(256) ,
    PORAMXRULES_LUD              TIMESTAMP(6)  ,
    PORAMXSTAGES_CB              VARCHAR2(256) ,
    PORAMXSTAGES_CD              TIMESTAMP(6)  ,
    PORAMXSTAGES_LUB             VARCHAR2(256) ,
    PORAMXSTAGES_LUD             TIMESTAMP(6)  ,
    PORAMXTASKS_CB               VARCHAR2(256) ,
    PORAMXTASKS_CD               TIMESTAMP(6)  ,
    PORAMXTASKS_LUB              VARCHAR2(256) ,
    PORAMXTASKS_LUD              TIMESTAMP(6)  ,
    PRIORITY                     VARCHAR2(200) ,
    ROUTE_USING_CODE             VARCHAR2(120) ,
    RULE_ID                      NUMBER        ,
    SET_OUTCOME_TO_CODE          VARCHAR2(120) ,
    STAGELOOKUPCD                VARCHAR2(120) ,
    STAGE_ID                     NUMBER(18, 0) ,
    START_WITH_CODE              VARCHAR2(120) ,
    SUP_CHAIN_OF_CODE            VARCHAR2(120) ,
    TASK_ID                      NUMBER(18, 0) ,
    TASK_KEY                     VARCHAR2(400) ,
    USER_TYPE_CODE               VARCHAR2(120) ,
    WORKER_ID                    NUMBER        ,
    CONSTRAINT pk_gtg_ts_porapprovroutingrule PRIMARY KEY (ETL_SEQUENCE_ID, ETL_VERSION_NUMBER, ETL_SEQUENCE_ID, ETL_VERSION_NUMBER)
);
